diff -ur slackware64-current.2/source/l/phonon/phonon.SlackBuild slackware64-current.3/source/l/phonon/phonon.SlackBuild
--- slackware64-current.2/source/l/phonon/phonon.SlackBuild	2010-08-09 23:14:43.000000000 +0200
+++ slackware64-current.3/source/l/phonon/phonon.SlackBuild	2017-12-08 14:49:40.096583760 +0100
@@ -100,6 +100,7 @@
     -DCMAKE_INSTALL_PREFIX=/usr \
     -DMAN_INSTALL_DIR=/usr/man \
     -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT:BOOL=ON \
     -DPHONON_QT_PLUGIN_INSTALL_DIR=/usr/lib$LIBDIRSUFFIX/qt/plugins/designer \
     -DWITH_QZeitgeist=BOOL:OFF \
diff -ur slackware64-current.2/source/l/phonon-backend-gstreamer/phonon-backend-gstreamer.SlackBuild slackware64-current.3/source/l/phonon-backend-gstreamer/phonon-backend-gstreamer.SlackBuild
--- slackware64-current.2/source/l/phonon-backend-gstreamer/phonon-backend-gstreamer.SlackBuild	2010-08-09 23:14:43.000000000 +0200
+++ slackware64-current.3/source/l/phonon-backend-gstreamer/phonon-backend-gstreamer.SlackBuild	2017-12-08 14:49:40.096583760 +0100
@@ -99,6 +99,7 @@
     -DMAN_INSTALL_DIR=/usr/man \
     -DSYSCONF_INSTALL_DIR=/etc \
     -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     .. || exit 1
   make $NUMJOBS || make || exit 1
   make install DESTDIR=$PKG || exit 1
diff -ur slackware64-current.2/source/l/polkit-qt-1/polkit-qt-1.SlackBuild slackware64-current.3/source/l/polkit-qt-1/polkit-qt-1.SlackBuild
--- slackware64-current.2/source/l/polkit-qt-1/polkit-qt-1.SlackBuild	2021-04-13 20:07:19.309939691 +0200
+++ slackware64-current.3/source/l/polkit-qt-1/polkit-qt-1.SlackBuild	2021-09-18 13:42:54.446974362 +0200
@@ -93,7 +93,7 @@
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
     -DMAN_INSTALL_DIR=/usr/man \
-    -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     .. || exit 1
   make $NUMJOBS || make || exit 1
   make install DESTDIR=$PKG || exit 1
diff -ur slackware64-current.2/source/l/poppler/poppler.SlackBuild slackware64-current.3/source/l/poppler/poppler.SlackBuild
--- slackware64-current.2/source/l/poppler/poppler.SlackBuild	2024-04-06 20:28:40.018721799 +0200
+++ slackware64-current.3/source/l/poppler/poppler.SlackBuild	2024-04-07 21:16:01.527973848 +0200
@@ -84,6 +84,7 @@
 cmake \
   -DCMAKE_INSTALL_PREFIX=/usr \
   -DCMAKE_INSTALL_MANDIR=/usr/man \
+  -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
   -DBUILD_SHARED_LIBS=ON \
   -DENABLE_QT5=ON \
   -DENABLE_XPDF_HEADERS=ON \
diff -ur slackware64-current.2/source/l/qtkeychain/qtkeychain.SlackBuild slackware64-current.3/source/l/qtkeychain/qtkeychain.SlackBuild
--- slackware64-current.2/source/l/qtkeychain/qtkeychain.SlackBuild	2022-09-15 20:23:19.380253234 +0200
+++ slackware64-current.3/source/l/qtkeychain/qtkeychain.SlackBuild	2023-05-22 05:07:12.114944056 +0200
@@ -92,7 +92,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+    -DCMAKE_INSTALL_LIBDIR="lib$LIBDIRSUFFIX" \
     -DDOC_INSTALL_DIR="doc" \
     -DMAN_INSTALL_DIR=/usr/man \
     .. || exit 1
diff -ur slackware64-current.2/source/l/taglib/taglib.SlackBuild slackware64-current.3/source/l/taglib/taglib.SlackBuild
--- slackware64-current.2/source/l/taglib/taglib.SlackBuild	2021-04-13 20:07:19.309939691 +0200
+++ slackware64-current.3/source/l/taglib/taglib.SlackBuild	2021-09-18 13:42:54.446974362 +0200
@@ -84,7 +84,7 @@
   -DCMAKE_INSTALL_PREFIX=/usr \
   -DCMAKE_BUILD_TYPE=Release \
   -DCMAKE_SHARED_LINKER_FLAGS="-lstdc++" \
-  -DLIB_SUFFIX="${LIBDIRSUFFIX}" \
+  -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
   -DBUILD_SHARED_LIBS=ON \
   -DWITH_MP4=ON \
   -DWITH_ASF=ON \
diff -ur slackware64-current.2/source/l/vid.stab/vid.stab.SlackBuild slackware64-current.3/source/l/vid.stab/vid.stab.SlackBuild
--- slackware64-current.2/source/l/vid.stab/vid.stab.SlackBuild	2010-08-09 23:14:43.000000000 +0200
+++ slackware64-current.3/source/l/vid.stab/vid.stab.SlackBuild	2017-12-08 14:49:40.096583760 +0100
@@ -96,7 +96,7 @@
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DUSE_OMP=OFF \
     .. || exit 1
   make $NUMJOBS || make || exit 1
diff -ur slackware64-current.2/source/l/zstd/zstd.SlackBuild slackware64-current.3/source/l/zstd/zstd.SlackBuild
--- slackware64-current.2/source/l/zstd/zstd.SlackBuild	2023-09-07 20:04:57.513422969 +0200
+++ slackware64-current.3/source/l/zstd/zstd.SlackBuild	2024-01-07 12:12:34.674742756 +0100
@@ -100,7 +100,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+    -DCMAKE_INSTALL_LIBDIR="lib$LIBDIRSUFFIX" \
     -DDOC_INSTALL_DIR="doc" \
     -DMAN_INSTALL_DIR=/usr/man/man1 \
     -DZSTD_BUILD_STATIC=OFF \
diff -ur slackware64-current.2/source/l/zug/zug.SlackBuild slackware64-current.3/source/l/zug/zug.SlackBuild
--- slackware64-current.2/source/l/zug/zug.SlackBuild	2023-10-06 19:00:00.500322950 +0200
+++ slackware64-current.3/source/l/zug/zug.SlackBuild	2024-03-10 12:12:08.934495043 +0100
@@ -95,6 +95,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR="lib$LIBDIRSUFFIX" \
     -Dzug_BUILD_TESTS=OFF \
     -Dzug_BUILD_EXAMPLES=OFF \
     .. || exit 1
diff -ur slackware64-current.2/source/n/obexftp/obexftp.SlackBuild.orig slackware64-current.3/source/n/obexftp/obexftp.SlackBuild
--- slackware64-current.2/source/n/obexftp/obexftp.SlackBuild	2011-03-25 22:45:28.000000000 +0100
+++ slackware64-current.3/source/n/obexftp/obexftp.SlackBuild	2020-04-02 15:04:10.183750901 +0200
@@ -91,6 +91,6 @@
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DCMAKE_INSTALL_DOCDIR=/usr/doc/$PKGNAM-$VERSION \
     -DCMAKE_BUILD_TYPE=Release ..
   make $NUMJOBS || make || exit 1
diff -ur slackware64-current.2/source/n/openobex/openobex.SlackBuild.orig slackware64-current.3/source/n/openobex/openobex.SlackBuild
--- slackware64-current.2/source/n/openobex/openobex.SlackBuild	2011-03-25 22:45:28.000000000 +0100
+++ slackware64-current.3/source/n/openobex/openobex.SlackBuild	2020-04-02 15:04:10.183750901 +0200
@@ -75,7 +78,7 @@
     -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DCMAKE_INSTALL_DOCDIR=/usr/doc/$PKGNAM-$VERSION \
     -DCMAKE_BUILD_TYPE=Release ..
   make $NUMJOBS || make || exit 1
diff -ur slackware64-current/source/x/freeglut/freeglut.SlackBuild slackware64-current.2/source/x/freeglut/freeglut.SlackBuild
--- slackware64-current/source/x/freeglut/freeglut.SlackBuild	2021-02-13 06:32:10.793944587 +0100
+++ slackware64-current.2/source/x/freeglut/freeglut.SlackBuild	2021-09-18 13:40:06.748510700 +0200
@@ -100,7 +100,7 @@
     -DFREEGLUT_BUILD_SHARED_LIBS=ON \
     -DFREEGLUT_BUILD_STATIC_LIBS=OFF \
     -DMAN_INSTALL_DIR=/usr/man \
-    -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     .. || exit 1
 
 #CFLAGS="$SLKCFLAGS" \
diff -ur slackware64-current/source/x/vulkan-sdk/vulkan-sdk.SlackBuild slackware64-current.2/source/x/vulkan-sdk/vulkan-sdk.SlackBuild
--- slackware64-current/source/x/vulkan-sdk/vulkan-sdk.SlackBuild	2021-02-13 06:32:10.793944587 +0100
+++ slackware64-current.2/source/x/vulkan-sdk/vulkan-sdk.SlackBuild	2021-09-18 13:40:06.748510700 +0200
@@ -234,6 +269,7 @@
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
     -DVULKAN_HEADERS_INSTALL_DIR=$PKG/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     -DBUILD_WSI_WAYLAND_SUPPORT=On \
     ..
 
@@ -257,6 +293,7 @@
     -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     -DRH_STANDALONE_PROJECT="OFF" \
     ..
 
@@ -281,6 +318,7 @@
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_BUILD_TYPE=Release \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     -DCMAKE_INSTALL_SYSCONFDIR=/usr/share \
     -DVulkanHeaders_DIR=$PKG/usr/share/cmake/VulkanHeaders/ \
     ..
@@ -305,6 +343,7 @@
     -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     -DCMAKE_INSTALL_SYSCONFDIR=/etc \
     -DCMAKE_INSTALL_DATADIR=/share \
     -DCMAKE_SKIP_RPATH=True \
@@ -340,6 +379,7 @@
     -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     -DCMAKE_INSTALL_SYSCONFDIR=/etc \
     -DCMAKE_INSTALL_DATADIR=/share \
     -DCMAKE_SKIP_RPATH=True \
@@ -373,6 +413,7 @@
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_BUILD_TYPE=Release \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     -DVULKAN_HEADERS_INSTALL_DIR=$PKG/usr \
     -DGLSLANG_INSTALL_DIR=$PKG/usr \
     -DVULKAN_LOADER_INSTALL_DIR=$PKG/usr \
@@ -403,6 +444,7 @@
     -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     -DBUILD_OBJECT_LIBS=OFF \
     -DBUILD_STATIC_LIBS=ON \
     -DBUILD_SHARED_LIBS=OFF \
@@ -430,6 +472,7 @@
     -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     ..
 
   make $NUMJOBS || make || exit 1
@@ -453,6 +496,7 @@
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_BUILD_TYPE=Release \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     -DCMAKE_INSTALL_SYSCONFDIR=/usr/share \
     -DVULKAN_HEADERS_INSTALL_DIR=$PKG/usr \
     -DVULKAN_REGISTRY_PATH_HINT=$PKG/usr \
@@ -498,6 +545,7 @@
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_BUILD_TYPE=Release \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     -DCMAKE_INSTALL_SYSCONFDIR=/usr/share \
     -DSHADERC_SKIP_TESTS=On \
     -DSHADERC_SKIP_EXAMPLES=On \
@@ -535,6 +586,7 @@
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_BUILD_TYPE=Release \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     -DSPIRV_CROSS_ENABLE_TESTS=Off \
     -DSPIRV_CROSS_SHARED=On \
     -DSPIRV_CROSS_FORCE_PIC=On \
@@ -558,6 +610,7 @@
 mkdir -p build
 cd build
   cmake \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS -Wno-error=stringop-overflow" \
     -DCMAKE_BUILD_TYPE=Release \
@@ -593,6 +653,7 @@
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS -Wno-error=stringop-truncation" \
     -DCMAKE_BUILD_TYPE=Release \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     -DCMAKE_INSTALL_INCLUDEDIR=include/dxc \
     -DLLVM_LIBDIR_SUFFIX=$LIBDIRSUFFIX \
     -DLLVM_BUILD_TOOLS="OFF" \
@@ -632,6 +693,7 @@
     -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     ..
 
   make $NUMJOBS || make || exit 1
@@ -665,6 +727,7 @@
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS -Wno-error=deprecated-declarations -I$PKG/usr/include/vulkan" \
     -DCMAKE_BUILD_TYPE=Release \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     -DCMAKE_INSTALL_SYSCONFDIR=/usr/share \
     -DVULKAN_LOADER_INSTALL_DIR=$PKG/usr \
     -DVULKAN_HEADERS_INSTALL_DIR=$PKG/usr \
@@ -698,6 +726,7 @@
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_BUILD_TYPE=Release \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR="lib$LIBDIRSUFFIX" \
     -DCMAKE_INSTALL_SYSCONFDIR=/usr/share \
     -DVULKAN_HEADERS_INSTALL_DIR=$PKG/usr \
     -DVOLK_INSTALL=ON \
diff -ur slackware64-current.2/source/xap/freerdp/freerdp.SlackBuild slackware64-current.3/source/xap/freerdp/freerdp.SlackBuild
--- slackware64-current.2/source/xap/freerdp/freerdp.SlackBuild	2021-04-18 20:11:00.718666090 +0200
+++ slackware64-current.3/source/xap/freerdp/freerdp.SlackBuild	2021-09-18 13:43:06.247569983 +0200
@@ -101,6 +100,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DWITH_ALSA=ON \
     -DWITH_PULSE=ON \
     -DWITH_CHANNELS=ON \
diff -ur slackware64-current.2/source/xap/ssr/ssr.SlackBuild slackware64-current.3/source/xap/ssr/ssr.SlackBuild
--- slackware64-current.2/source/xap/ssr/ssr.SlackBuild	2021-04-18 20:11:00.718666090 +0200
+++ slackware64-current.3/source/xap/ssr/ssr.SlackBuild	2021-09-18 13:43:06.247569983 +0200
@@ -95,7 +95,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+    -DCMAKE_INSTALL_LIBDIR="lib$LIBDIRSUFFIX" \
     -DDOC_INSTALL_DIR="doc" \
     -DCMAKE_INSTALL_MANDIR=/usr/man \
     -DWITH_JACK=FALSE \
